Bug 97263 - regexec hang
Summary: regexec hang
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-12 11:38 UTC by Tim Waugh
Modified: 2016-11-24 15:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 10:57:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2003-06-12 11:38:14 UTC
Description of problem:
This test case, taken from one in the grep test suite, causes regexec
incorrectly not to return.

Version-Release number of selected component (if applicable):
2.3.2-50

How reproducible:
100%

#include <regex.h>
#include <stdio.h>
 
int main ()
{
  regex_t rbuf;
  const char *p;
  int err;
  p = "^(.?)(.?)(.?)(.?)(.?)(.?)(.?)(.?)(.?).?"
      "\\9\\8\\7\\6\\5\\4\\3\\2\\1$";
  if ((err = regcomp  (&rbuf, p, REG_NOSUB | REG_EXTENDED))) {
    char errstr[300];
    regerror (err, &rbuf, errstr, sizeof (errstr));
    puts (errstr);
    return err;
  }
  return regexec (&rbuf, "civic", 0, NULL, 0);
}

Comment 1 Jakub Jelinek 2003-06-17 16:41:51 UTC
Forwarded to Isamu.

Comment 2 Jakub Jelinek 2004-10-07 10:57:41 UTC
Still problem with current glibc.
Tracked upstream: http://sources.redhat.com/bugzilla/show_bug.cgi?id=429


Note You need to log in before you can comment on or make changes to this bug.